Bug 590703 - Init process freezes if /etc/inittab does not exist.
Init process freezes if /etc/inittab does not exist.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Martin Cermak
:
Depends On:
Blocks: 590706
  Show dependency treegraph
 
Reported: 2010-05-10 10:20 EDT by Martin Cermak
Modified: 2014-09-08 07:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: initscripts-9.12.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 590706 (view as bug list)
Environment:
Last Closed: 2010-07-01 14:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rcS*.conf - check if /etc/inittab exists (1.37 KB, patch)
2010-05-10 10:30 EDT, Petr Lautrbach
no flags Details | Diff

  None (edit)
Description Martin Cermak 2010-05-10 10:20:01 EDT
Description of problem:

   If /etc/inittab does not exist, init process freezes:

awk: cmd. line:1: fatal: cannot open file `/etc/inittab' for reading (No such file or directory) 
init: rcS post-stop process (751) terminated with status 2


Version-Release number of selected component (if applicable):

[root@localhost ~]# rpm -q upstart
upstart-0.6.5-5.fc13.x86_64
[root@localhost ~]# cat /etc/fedora-release 
Fedora release 13 (Goddard)
[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
  
How reproducible:

always

Steps to Reproduce (DESTRUCTIVE*):
1. mv /etc/inittab /etc/inittab.ORIG
2. reboot

  
Actual results:

  Init process freezes.

Expected results:

   Init process does not freeze.

Additional info:
Comment 1 Petr Lautrbach 2010-05-10 10:30:57 EDT
Created attachment 412857 [details]
rcS*.conf - check if /etc/inittab exists

Upstart job fails if any of processes doesn't end with success. We should check if /etc/inittab exists before try parse out default runlevel.
Comment 2 Bill Nottingham 2010-05-13 13:02:49 EDT
Thanks! 

http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=0b8393964ed79dbf7382266b7cb62e7d530bb2c5

Also backported to F-13 branch.
Comment 3 Fedora Update System 2010-06-24 15:32:46 EDT
initscripts-9.12.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/initscripts-9.12.1-1.fc13
Comment 4 Fedora Update System 2010-06-25 14:14:31 EDT
initscripts-9.12.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/initscripts-9.12.1-1.fc13
Comment 5 Martin Cermak 2010-06-28 06:58:31 EDT
Seems like it is fixed in initscripts-9.03.10-1.el6. RHTS tests scheduled...
Comment 7 Martin Cermak 2010-06-28 07:19:21 EDT
=> VERIFIED
Comment 8 Fedora Update System 2010-07-01 14:45:44 EDT
initscripts-9.12.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.